### Method

# Aravis DomNode append_child

#### Declaration [src]

    ArvDomNode*
    arv_dom_node_append_child (
      ArvDomNode* self,
      ArvDomNode* new_child
    )

#### Description [src]

Adds the node `new_child` to the end of the list of children of this node. If the `new_child` is already in the tree, it is first removed.

#### Parameters

`new_child`

  Type: `ArvDomNode`

  Node to append.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `ArvDomNode`

The added node.

The returned data is owned by the instance.